#include "bits/stdc++.h"
#include "numeric"
using namespace std;

#define forn(i, n) for(int i=0;i<n;++i)
#define fornn(i, l, r) for(int i=l;i<=r;++i)
#define ford(i, n) for(int i=n-1;i>=0;--i)
#define all(a) (a).begin(),(a).end()
#define rall(a) (a).rbegin(),(a).rend()
#define pb push_back
#define eb emplace_back
#define ff first
#define ss second

using ll = long long;
using ld = long double;
using pii = pair<int, int>;
using pll = pair<ll, ll>;

const int maxn = 1e5 + 7;
const int logn = 32;
const int mod = 1e9 + 7;
const int iterations = 5e5;

int n,m;
vector<ll> x;

vector<int> get(int num) {
    vector<int> res;
    while(num>0) {
        res.pb(num%2);
        num/=2;
    }
    while (res.size()<m) res.pb(0);
    return res;
}

void solve() {
    cin>>n>>m;
    x.assign(m, 0);
    forn(i,m) cin >> x[i];

    ll res=0, oper=(1ll)<<m;
    forn(i,oper) {
        vector<int> p=get(i);
        vector<ll> a(n);
        forn(j,m) {
            a[p[j]]=x[j]-a[p[j]];
        }
        ll sum=0;
        forn(j,n) sum+=a[j];
        res=max(res,sum);
    }

    cout<<res;
}

int main() {
    ios::sync_with_stdio(false);
    cin.tie(0);

#ifdef LOCAL
    freopen("C:\\work\\untitled\\b.txt", "r", stdin);
    freopen("C:\\work\\untitled\\out.txt", "w", stdout);

    while (!cin.eof()) {
        solve();
        cout << endl;
    }
#else
    int t; cin>>t;
    while(t--){
        solve();
    }
#endif

    return 0;
}
